petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatAppendOptionsPrefix

Appends to the prefix used for searching for all Mat options in the database.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatAppendOptionsPrefix(Mat A,const char prefix[])

Logically Collective on Mat

### Input Parameters

| A | - the Mat context
| prefix | - the prefix to prepend to all option names

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### Keywords

Mat, append, options, prefix, database

### See Also

MatGetOptionsPrefix()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages